local boxWidth = 256;

local x = Def.ActorFrame{
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y;diffusealpha,0);
	OnCommand=cmd(linear,0.2;diffusealpha,1);
	OffCommand=cmd(linear,0.2;diffusealpha,0);
	
	LoadActor("_under")..{
		Name="Frame";
		InitCommand=cmd(x,(-SCREEN_WIDTH*0.2325));
	};
	
	Def.ActorFrame{
		Name="ToastyFrame";
		InitCommand=cmd(x,SCREEN_WIDTH*0.25);
		
		LoadActor( THEME:GetPathB("","_frame 3x3"), "_square blackinset transparent normal", boxWidth-2, 192)..{
			InitCommand=cmd(y,56);
		};
		
		Def.ActorFrame{
			InitCommand=cmd(y,-60);
			
			LoadActor( THEME:GetPathB("","_frame 3x1"), "_infobox header", boxWidth )..{
				Name="Header";
				InitCommand=cmd(diffuse,color("#00CCFF"));
			};
			
			LoadFont("_frutiger lt std 55 roman 24px")..{
				Text="Toasty Information";
				InitCommand=cmd(shadowlength,1;zoom,0.55);
			};
		};
		
		LoadFont("_frutiger lt std 55 roman 24px")..{
			Text="Name";
			InitCommand=cmd(x,-128;y,-32;shadowlength,1;zoom,0.6;horizalign,left);
		};
		
		LoadFont("_frutiger lt std 55 roman 24px")..{
			Text="Origin";
			InitCommand=cmd(x,-128;y,16;shadowlength,1;zoom,0.6;horizalign,left);
		};
		
		LoadFont("_frutiger lt std 55 roman 24px")..{
			Text="Backstory";
			InitCommand=cmd(x,-128;y,70;shadowlength,1;zoom,0.6;horizalign,left);
		};
	};
};

return x;